Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class GrayFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.RGBImageFilter
                  |
                  +--javax.swing.GrayFilter

public class GrayFilter
extends java.awt.image.RGBImageFilter

An image filter that "disables" an image by turning it into a grayscale image, and brightening the pixels in the image. Used by buttons to create an image for a disabled button.

Fields inherited from class java.awt.image.RGBImageFilter
`canFilterIndexColorModel, newmodel, origmodel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`GrayFilter(boolean b, int p)` Constructs a GrayFilter object that filters a color image to a grayscale image.

Method Summary
`static java.awt.Image` | `createDisabledImage(java.awt.Image i)` Creates a disabled image
`int` | `filterRGB(int x, int y, int rgb)` Overrides `RGBImageFilter.filterRGB`.

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrayFilter

    public GrayFilter(boolean b,
                      int p)

  Constructs a GrayFilter object that filters a color image to a grayscale image. Used by buttons to create disabled ("grayed out") button images.
  Parameters:
    `b` - a boolean -- true if the pixels should be brightened
    `p` - an int in the range 0..100 that determines the percentage of gray, where 100 is the darkest gray, and 0 is the lightest

Method Detail

### createDisabledImage

    public static java.awt.Image createDisabledImage(java.awt.Image i)

  Creates a disabled image

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Overrides `RGBImageFilter.filterRGB`.
  Overrides:
    filterRGB in class java.awt.image.RGBImageFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.